Index: chord.cpp
===================================================================
--- chord.cpp	(revision 5268)
+++ chord.cpp	(working copy)
@@ -1150,6 +1150,12 @@
             if (hookIdx) {
                   if (!up())
                         hookIdx = -hookIdx;
+                  // allocate _hook if there isn't one (issue #14668)
+                  if (!_hook) {
+                        Hook* hook = new Hook(score());
+                        hook->setParent(this);
+                        score()->undoAddElement(hook);
+                        }
                   _hook->setSubtype(hookIdx);
                   qreal lw  = point(score()->styleS(ST_stemWidth)) * .5;
                   QPointF p = npos + QPointF(lw, _stem->stemLen());
@@ -1510,6 +1516,11 @@
 
 static void renderArpeggio(QList<Note*> notes, bool up)
       {
+
+      // check for "nothing to do" (issue #10577)
+      if (notes.isEmpty())
+            return;
+
       int minLen = 1000*1000;
 
       foreach(Note* note, notes) {
@@ -1583,7 +1594,9 @@
                   }
             }
       bool up = _arpeggio->subtype() != ARP_DOWN;
-      renderArpeggio(notes, up);
+      // check for "nothing to do" (issue #10577)
+      if (!notes.isEmpty())
+            renderArpeggio(notes, up);
       }
 
 //---------------------------------------------------------
